Subject: Request: Resizing window with text scaling

From: [email-masked]
Date: Sun, 21 Aug 2022 06:33:12 +0200 (CEST)

I frequently use  `text-scale-increase'  and  `text-scale-decrease'  in  `face-remap-p.el'
to increase and decrease the height of the default face in the current buffer.

Yet at times, in addition to the increase and decrease in height, I would also like for the 
window to get resized as well.  

I have seen an implementation by Drew, namely  `face-remap+', that makes the current
 window take notice of the text scaling.

But I have noticed that the window frequently resizes in a way that makes a line continue
 on the next line, even when the text originally had some space between the end of the line
and the window edge.  
    
A further problem occurs because standard functions defined in `face-remap.el'  get redefined.

It would be beneficial if emacs had the facility to scale the window with the text scaling in the
current window.  But with the functionality being separate from the current  `text-scale-increase'
and  `text-scale-decrease'.